# Getting started with Zulip

Welcome to Zulip! This page guides you through getting started using
Zulip. If you are setting up a new organization, you may also want to
check out our [guide for setting up a new Zulip
organization](/help/getting-your-organization-started-with-zulip).

Mastering Zulip can take a bit of time, but once you get the hang of
it, you'll never want to use a different team chat app!

## Set up your account

{!set-up-your-account.md!}

## Learn about Zulip topics

{!streams-and-topics.md!}

## Reading your messages

Like your email inbox, Zulip works best if you read it topic-by-topic.

### Finding a topic to read

#### From Recent topics

{!recent-topics.md!}

#### From the list of streams

{!left-sidebar-topics.md!}

### Reading topics

{!reading-topics.md!}

### Reading private messages

{!reading-pms.md!}

## Sending messages

### When to start a new topic

{!when-to-start-a-new-topic.md!}

### How to start a new topic

{!how-to-start-a-new-topic.md!}

### Starting a new private thread

{!starting-a-new-private-thread.md!}

### Responding to an existing thread

{!replying-to-messages.md!}

### Messaging tips & tricks

{!messaging-tips.md!}

## Related articles

* [Setting up your organization](/help/getting-your-organization-started-with-zulip)

