# Mastering the compose box

When composing a message, Zulip lets you view a different conversation from the
one you are composing to. For example, you can start a new topic without
changing your narrow, send a private message about the topic you're viewing, or
look up a related discussion.

In this context, the parts of the message view that are outside of the
conversation you are composing to are faded for clarity.

## Go to conversation

Zulip lets you narrow the message view to the conversation you're currently
composing to.

{start_tabs}

{!start-composing.md!}

1. If composing a stream message, click the **Go to conversation**
   (<i class="zulip-icon zulip-icon-arrow-left-circle"></i>) button in the
   compose box.

!!! keyboard_tip ""

    For both stream and private messages, use <kbd>Ctrl</kbd> + <kbd>.</kbd> to
    go to the conversation you are composing to.

{end_tabs}

## Toggle between <kbd>Ctrl</kbd> + <kbd>Enter</kbd> and <kbd>Enter</kbd> to send a message

By default, the <kbd>Enter</kbd> key adds a new line to your message,
and <kbd>Ctrl</kbd> + <kbd>Enter</kbd> sends your message.

This is convenient for typing multi-line messages, which are more common in
Zulip than in most other chat products. However, you can also configure
Zulip so that the <kbd>Enter</kbd> key sends your message.

!!! tip ""

    <kbd>Shift</kbd> + <kbd>Enter</kbd> always adds a new line, regardless
    of whether **<kbd>Enter</kbd> to send** is enabled.

### Enable <kbd>Enter</kbd> to send

{start_tabs}

{!start-composing.md!}

1. Click **<kbd>Ctrl</kbd> + <kbd>Enter</kbd> to send** in the bottom right
   corner of the compose box, just below the **Send** button.

1. Select **<kbd>Enter</kbd> to send**.

{end_tabs}

### Enable **<kbd>Ctrl</kbd> + <kbd>Enter</kbd> to send**

{start_tabs}

{!start-composing.md!}

1. Click **<kbd>Enter</kbd> to send** in the bottom right
   corner of the compose box, just below the **Send** button.

1. Select **<kbd>Ctrl</kbd> + <kbd>Enter</kbd> to send**.

{end_tabs}

## Related articles

* [Resize the compose box](/help/resize-the-compose-box)
* [Format messages using Markdown](/help/format-your-message-using-markdown)
* [Preview messages before sending](/help/preview-your-message-before-sending)
* [Messaging tips and tricks](/help/messaging-tips)
