# Reading strategies

In Zulip, streams determine who gets a message. Topics tell you what
the message is about. If you are not yet familiar with Zulip's topics,
we recommend first reading about [streams and
topics](/help/streams-and-topics).

This article details a few ways to efficiently read through messages
in Zulip.

## Topic by topic

Like your email inbox, for most users, Zulip works best if you read it
topic-by-topic.

### Finding a topic to read

#### From Recent topics

{!recent-topics.md!}

#### From the list of streams

{!left-sidebar-topics.md!}

### Reading topics

{!reading-topics.md!}

## Stream view

Sometimes it's useful to scroll through all the messages in a stream,
especially in situations where you just want a general idea of what's going
on.

* Click on a stream name in the left sidebar, and scroll using your mouse,
  the arrow keys, <kbd>End</kbd>, or page up/down.

* Click on a topic to narrow to messages from that topic.

You can also search for a stream by clicking on **STREAMS** in the
left sidebar, or using the <kbd>Q</kbd> [keyboard
shortcut](/help/keyboard-shortcuts).

## All messages

If you're all caught up, it can be useful to have a single place to keep
track of all messages coming in.

* Click on **All messages** near the top left corner of the app, or hit
  <kbd>A</kbd>.

* You can use <kbd>S</kbd> (narrow to stream) or <kbd>Shift</kbd> +
  <kbd>S</kbd> (narrow to topic) to zoom in, and <kbd>A</kbd> to get back
  to All messages.

## Starring messages for later

You can [star messages](/help/star-a-message) that you've seen and would
like to reply to later.

## Related articles

* [Getting started with Zulip](/help/getting-started-with-zulip)
* [Recent topics](/help/recent-topics)
* [Searching for messages](/help/search-for-messages)
* [Marking messages as read](/help/marking-messages-as-read)
